define({"72":{i:0.00818012635529967,u:"../content/satori/host_level_backups_overview.htm",a:"This chapter provides information for implementing host-level protection of VMware, Hyper-V, and Citrix XenServer environments.  Host-level backups protect hosted VMs by leveraging host snapshots. To run host-level backups, you do not install an agent on the guest VMs. Simply add the virtual host to ...",t:"Host-level Backups Overview"},"73":{i:0.00293793490376708,u:"../content/satori/hyper_v_virtual_machines.htm",a:"This section provides considerations and requirements  for protecting Hyper-V environments.  Preparing for Hyper-V backups Following is a summary of the high-level steps for backing up Hyper-V virtual machines. The information includes links to detailed instructions for each procedure. Review   Best ...",t:"Hyper-V virtual machines"},"74":{i:0.00507641218786691,u:"../content/satori/protecting_hyper_v_virtual_mac.htm",a:"In most cases, Unitrends recommends that you use host-level backups to protect your Hyper-V virtual machines. However, in some instances, you might wish to protect your VMs at the guest  level in the same way you would protect physical machines, using asset-level backups. Host- and asset-level ...",t:"Protecting Hyper-V virtual machines at the asset level"},"75":{i:0.00136309547979598,u:"../content/satori/working_with_hyper_v_servers.htm",a:"To begin protecting your Hyper-V virtual machines, add to your Unitrends appliance the servers that host them. You must install the Windows agent on the Hyper-V server. For most versions of Windows,  this agent is automatically installed when you add the server to the appliance. For details, see  ...",t:"Working with Hyper-V servers"},"76":{i:0.00136309547979598,u:"../content/satori/selecting_hyper_v_vms_to_protect.htm",a:"Review these guidelines and tips before running Hyper-V backups.  A separate backup is created for each VM you select. A VM may be included in only one schedule. If you attempt to add a VM to a second schedule, you cannot save that schedule. Remove the VM from the first schedule before adding it to ...",t:"Selecting Hyper-V VMs to protect"},"77":{i:0.0017309151470564,u:"../content/satori/vmware_virtual_machines.htm",a:"This section provides considerations and requirements  for protecting VMware environments.  Preparing for VMware backups When you add a VMware virtual host to the appliance, all VMs are discovered and available for host-level protection. Unitrends uses VMware\u0027s vStorage API for Data Protection ...",t:"VMware virtual machines"},"78":{i:0.00500889397349383,u:"../content/satori/protecting_vmware_virtual_mac.htm",a:"In most cases, Unitrends recommends that you use host-level backups to protect your VMware virtual machines. However, in some instances, you might wish to protect your VMs at the guest  level in the same way you would protect physical machines, using asset-level backups. Host- and asset-level ...",t:"Protecting VMware virtual machines at the asset level"},"79":{i:0.00359784139701193,u:"../content/satori/citrix_xenserver_virtual_machines.htm",a:"This section provides details and requirements  for protecting Citrix XenServer environments with host-level backups. Preparing for XenServer backups When you add a XenServer host to the Unitrends appliance, its VMs are discovered and available for host-level protection. Following is a summary of ...",t:"Citrix XenServer virtual machines"},"80":{i:0.00663769606580283,u:"../content/satori/asset-level_backups_overview.htm",a:"This chapter provides details and requirements for  asset-level backups. An asset-level backup protects an asset\u0027s file system and operating system. You can select to include or exclude files from asset-level backups. Asset-level backups protect physical assets. For virtual assets, you can choose ...",t:"Asset-level Backups Overview"},"81":{i:0.0017309151470564,u:"../content/satori/considerations_for_asset_level_backups.htm",a:"Consider the following information when preparing for asset-level backups: Maximum file pathname lengths Some Unitrends agents have a maximum file pathname size limitation. The backup does not include file pathnames that exceed this limit.  The following table lists the agents affected by this ...",t:"Considerations for asset-level backups"},"82":{i:0.00923997935084924,u:"../content/satori/nas_backups_overview.htm",a:"This chapter provides details and requirements for protecting the data  stored on Network Attached Storage (NAS). Review this information to determine the best strategy for your environment and to ensure requirements have been met before you start protecting your NAS data.  Unitrends uses the ...",t:"NAS Backups Overview"},"83":{i:0.00599107276021141,u:"../content/satori/application_backups_overview.htm",a:"This chapter provides detailed information for protecting applications. Application backups only protect applications. To protect the application\u0027s host server, you must  create separate asset-level backups to capture the server\u0027s file and operating systems. Once you have reviewed the information in ...",t:"Application Backups Overview"},"84":{i:0.013998165644344,u:"../content/satori/exchange_backup_requirements_and_considerations.htm",a:"Consider the following before implementing your Exchange protection strategy: Exchange agent requirements Exchange application backups are run using the Unitrends Windows agent. Before you install the agent, enure that the Exchange server is running the latest service packs and that these services ...",t:"Exchange backup requirements and considerations"},"85":{i:0.0168671680612292,u:"../content/satori/sql_backup_requirements_and_considerations.htm",a:"Review the following before implementing your SQL protection strategy: Supported SQL features Unitrends supports protection of the following SQL features: SQL system and user databases - To protect these databases, the only requirements  are the ones described in  Agent prerequisites for Microsoft ...",t:"SQL backup requirements and considerations"},"86":{i:0.00873113395830428,u:"../content/satori/sharepoint_backup_requirements_and_considerations.htm",a:"Unitrends protects the following SharePoint environments: Farm deployments where the SharePoint installation type is full farm (all SharePoint releases) or single server farm (SharePoint 2016). In farm deployments, the SharePoint data and components may reside on one server or on multiple servers. ...",t:"SharePoint backup requirements and considerations"},"87":{i:0.00667718174367916,u:"../content/satori/oracle_backup_requirements_and_considerations.htm",a:"Use application backups to protect  Oracle Database 11g and 12c on Windows, Linux, and Solaris platforms, and Oracle 10g on Windows platforms. Application backups ensure database consistency, whereas asset-level backups of the Oracle server are likely to contain database inconsistencies since only ...",t:"Oracle backup requirements and considerations"},"88":{i:0.00767821666036629,u:"../content/satori/cisco_ucs_service_profile_backup_reqs.htm",a:"Review the following before implementing your service profile protection strategy: About protecting Cisco UCS service profiles You can use your Unitrends appliance to back up and recover Cisco UCS service profiles and related configuration objects. In the event of a disaster, you can use this ...",t:"Cisco UCS service profile backup requirements and considerations"},"89":{i:0.0180389129340257,u:"../content/satori/iseries_backups_overview.htm",a:"This chapter provides requirements and procedures for protecting iSeries. The software for the iSeries is designed to aid in the recovery of lost or corrupted files on this platform. It can be used to back up many types of libraries and objects, including security and configuration files, user ...",t:"iSeries Backups Overview and Procedures"},"90":{i:0.00183397059847453,u:"../content/satori/recovery_overview.htm",a:"Unitrends’ recovery features ensure that you can recover data  quickly and easily. You can recover files, databases, entire assets, or perform an instant recovery. To meet low RTOs, recover from local backups on the Unitrends appliance. For details on recovering from a given local backup, see the ...",t:"Recovery Overview"},"91":{i:0.0222768400323943,u:"../content/satori/recovering_backup_copies.htm",a:" If a local backup is not available, you can recover from a backup copy. The same recovery operations that are used for local backups are supported for backup copies, but recovering from backup copies requires additional steps. These steps vary depending on the backup copy target. See the following ...",t:"Recovering Backup Copies"},"92":{i:0.00570918272811269,u:"../content/satori/recovering_host_level_backups.htm",a:"Host-level backups have the following recovery options: VM recovery – recover VMs that run any operating system. File-level recovery – recover files on VMs that run Windows or Linux. Instant recovery – recover VMware or Hyper-V VMs immediately. The type of recovery depends on the type of data you ...",t:"Recovering Host-level Backups"},"93":{i:0.00515418531715258,u:"../content/satori/recovering_a_virtual_machine.htm",a:"Virtual machine recovery enables you to recover VMs running any operating system. This method restores the entire VM and associated metadata with the configured peripherals, from any given Unitrends recovery point. The appliance uses the backup or imported backup copy to recreate the VM on the ...",t:"Recovering a virtual machine"},"94":{i:0.00767067165447581,u:"../content/satori/recovering_files_from_virtual_.htm",a:"You can recover files from  host-level backups and host-level backup copies of Windows and Linux VMs.  File recovery is supported for VMs that reside on VMware, Hyper-V, and XenServer hosts. A single file-level recovery can be performed on multiple VMs simultaneously. Recovery procedures can be run ...",t:"Recovering files from virtual machine backups"},"95":{i:0.00136309547979598,u:"../content/satori/viewing_a_file_recovery_object.htm",a:"After creating a recovery object, you can view it on the Recover page to see whether it is available, details for accessing it, and other information about the object. To view a file recovery object Select Recover and click the File Level Recovery tab.  Recovery objects display with the following ...",t:"Viewing a file recovery object"},"96":{i:0.0263257637503879,u:"../content/satori/virtual_machine_instant_recovery.htm",a:"Instant recovery enables you to recover a failed or corrupted VMware or Hyper-V VM and access it in minutes.  To perform instant recovery, select a recovery point associated with a full, incremental, or differential backup. The appliance creates a new VM from the recovery point. The new VM can ...",t:"Virtual machine instant recovery"},"97":{i:0.00136309547979598,u:"../content/satori/prerequisites_and_considerations.htm",a:"Unitrends supports instant recovery of VMware and Hyper-V virtual machines.  Prerequisites for VMware instant recovery The following table describes the prerequisites and considerations for VMware instant recovery.  Prerequisite or consideration Description vCenter version and license To perform ...",t:"Prerequisites and considerations"},"98":{i:0.00164228388830486,u:"../content/satori/preparing_for_instant_recovery.htm",a:"Unitrends recommends planning for instant recovery before a VM fails. Review the following information to assist in preparing for instant recovery. Included is a high-level process of tasks to complete before performing an instant recovery. Back up assets Back up assets Instant recovery can be ...",t:"Preparing for instant recovery"},"99":{i:0.00164228388830486,u:"../content/satori/performing_instant_recovery_.htm",a:"Perform the instant recovery after a VM fails. A recovered VMware VM is created with the following default name: \u003coriginal_VM_name\u003e_restore. To edit the suffix, click Edit Suffixes. A recovered Hyper-V VM is created with the same name as the original VM and no suffix. Due to Hyper-V limitations, it ...",t:"Performing instant recovery"},"100":{i:0.00136309547979598,u:"../content/satori/tearing_down_the_recovery_object.htm",a:" After performing an instant recovery, remove the recovery object from the appliance to free resources for the instant recovery. If the recovery was done in audit mode, this also deletes the VM from the host. Do not perform this procedure until the data migration completes and the VM is ready for ...",t:"Tearing down the instant recovery object "},"101":{i:0.00656810753079644,u:"../content/satori/recovering_asset-level_backups.htm",a:"This chapter describes recovery procedures for asset-level backups (backups that were run using a Unitrends agent). Assets must have an eligible backup or backup copy before running these procedures. You can recover from backups or imported backup copies that reside on a Unitrends backup appliance, ...",t:"Recovering Asset-level Backups"},"102":{i:0.00251332605076378,u:"../content/satori/windows_instant_recovery.htm",a:"Unitrends Windows instant recovery (WIR) provides a way to recover a failed Windows physical asset. WIR creates a virtual failover client (VFC), a virtual replica of the client. A VFC can immediately assume the role of the original client in the event of a disaster. When backups run on the original ...",t:"Windows instant recovery"},"103":{i:0.00189717776991867,u:"../content/satori/windows_instant_recovery_overview.htm",a:" To set up Windows instant recovery (WIR), first back up the Windows asset and then create the virtual failover client (VFC).  Back up the Windows asset WIR starts with an agent-based backup of the physical Windows server.  The file-level full backup backs up:  System files and folders.  The system ...",t:"Windows instant recovery overview "},"104":{i:0.00228575669867998,u:"../content/satori/windows_instant_recovery_requirements_and_prerequisites.htm",a:"The following information covers both the requirements and prerequisites for Windows instant recovery (WIR). VFC requirements The following topics cover the necessary requirements for different types of VFCs: Requirements for running a VFC on a Recovery Series appliance Requirement Description ...",t:"Windows instant recovery requirements and prerequisites"},"105":{i:0.00389835893227932,u:"../content/satori/setting_up_a_virtual_failover_client.htm",a:"Use the following procedure to set up a VFC client. You can run the VFC on: A Recovery Series appliance (backup appliance or backup copy target appliance). An external hypervisor (Hyper-V or VMware). To set up a virtual failover client Select Recover \u003e Backup Catalog. Select Instant Recovery \u003e ...",t:"Setting up a virtual failover client"},"106":{i:0.00228575669867998,u:"../content/satori/windows_instant_recover_administration_procedures.htm",a:"The following information provides details on administration procedures used in Windows instant recovery (WIR). Accessing a VFC in audit mode Once you have created the VFC, you can check its status on the Instant Recovery tab on the Recovery page. After setting up a VFC, audit it periodically to ...",t:"Windows instant recovery administration procedures"},"107":{i:0.00751065399923081,u:"../content/satori/recovering_nas_backups.htm",a:"Recovery procedures vary depending on the NAS protocol used to create the backup. See these topics for details: Recovering NAS CIFS or NFS backups NAS CIFS and NFS backups  have the following recovery options: Search Files – Search for specific files  in all backups of this NAS that are currently ...",t:"Recovering NAS Backups"},"108":{i:0.00431851113698595,u:"../content/satori/recovering_application_backups.htm",a:"This chapter provides requirements, procedures, and details for recovering applications. The recovery process varies by application type. See the following for details on a specific application:\n Recovering Exchange backups Recovering SQL backups Recovering SharePoint backups Recovering Oracle ...",t:"Recovering Application Backups"},"109":{i:0.00292642991629203,u:"../content/satori/recovering_exchange_backups.htm",a:"Use the recovery feature to recover an entire database, storage group, or selected items from Exchange backups. See the following topics for details: Preparing to recover Exchange backups Before recovering, see these topics for details specific to your Exchange environment: About recovering Exchange ...",t:"Recovering Exchange backups"},"110":{i:0.00364745910600608,u:"../content/satori/recovering_sql_backups.htm",a:"Unitrends supports recovery of full, differential, and transaction log backups of SQL databases.  See the following topics for details: Considerations for recovering SQL backups Recovery procedures vary depending on what type of  database and backup are being recovered. Consider the following before ...",t:"Recovering SQL backups"},"111":{i:0.00292642991629203,u:"../content/satori/recovering_sharepoint_backups.htm",a:"The SharePoint agent supports recovery of full and differential backups. With SharePoint backups, the agent leverages STSADM or PowerShell (SharePoint 2013 and higher) to perform recovery operations. Recoveries occur in two phases. In the first phase, backups are unfolded to a local share or backup ...",t:"Recovering SharePoint backups"},"112":{i:0.00364745910600608,u:"../content/satori/recovering_oracle_backups.htm",a:"Unitrends supports recovery of full and incremental backups. As with Oracle backups, the agent leverages RMAN to perform recovery operations. Oracle recoveries occur in two phases. First, the backup is extracted to the server’s storage and exposed as a CIFS share (/backups/rae/\u003cclient_name\u003e/ ...",t:"Recovering Oracle backups"},"113":{i:0.00648528747256881,u:"../content/satori/recovering_cisco_ucs_service_profile_backups.htm",a:"Unitrends leverages the native Cisco XML API to recover from service profile backups. Use the Recover option to recover the entire backup group up to the point in time when the backup ran or to recover selected items. See the following topics  for details: Preparing to recover service profile ...",t:"Recovering Cisco UCS service profile backups"},"114":{i:0.0287486727349644,u:"../content/satori/recovering_iseries_backups.htm",a:"Use the recovery feature to recover the entire backup or selected items to the original iSeries or to an alternate iSeries server. See the following topics for details: Preparing to recover from iSeries backups Before performing the recovery, ensure that these requirements have been met: No other ...",t:"Recovering iSeries Backups"},"115":{i:0.00136309547979598,u:"../content/satori/reports.htm",a:"  Reports Your Unitrends data protection solution provides the ability to create, generate, edit, schedule, and distribute a variety of reports.  You can generate reports to display information about backup jobs, recovery operations, backup copies, as well as your appliance and its storage use. When ...",t:"Reports"},"116":{i:0.00194241134589116,u:"../content/satori/types_of_reports.htm",a:"Reports are grouped by category. Select a category to view the available reports.  See the following topics for details: Category Available Reports Backup reports Protection Summary report Backup History report Legal Hold Backups report Backup Failures report Weekly Status report Recover reports ...",t:"Types of reports"},"117":{i:0.00324068084358459,u:"../content/satori/backup_reports.htm",a:"The Backup category contains reports that summarize information about your backup jobs. To view Backup reports, click on a report type under Category. Under Available Reports, click on the name of the report, and click Generate Report. For details, see the following topics: Protection Summary report ...",t:"Backup reports"},"118":{i:0.00300872275261699,u:"../content/satori/protection_summary_report.htm",a:"The Protection Summary report summarizes your appliance\u0027s current protection details. The Protection Summary report: Prepares a summary log of all backups and backup copies. Displays the status of those backups and backup copies. Lists all protected and unprotected assets.  After generating a ...",t:"Protection Summary report"},"119":{i:0.00238489623756892,u:"../content/satori/backup_history_report.htm",a:"The Backup History report contains backup results of all protected and unprotected assets within the selected date range for the selected appliance(s). After generating the report, you can view the details of a specific job by clicking it in the grid. This opens the Backup Status: Report Entry ...",t:"Backup History report"},"120":{i:0.00191402111889037,u:"../content/satori/legal_hold_backups_report.htm",a:"The Legal Hold Backups report summarizes all backups currently on legal hold for the selected appliance(s) within a specified date range. Click \u003c Report Categories in the upper-left of the report to return to the Available Reports page. Report details Refer to the following table for a description ...",t:"Legal Hold Backups report"},"121":{i:0.00191402111889037,u:"../content/satori/backup_failures_report.htm",a:"The Backup Failures report summarizes information about all backup job failures with a specified date range for the selected appliance(s). After generating the report, you can view the details of a specific job by clicking it in the grid. When finished, click \u003c Report Categories in the upper-left of ...",t:"Backup Failures report"},"122":{i:0.00210888166067406,u:"../content/satori/weekly_status_report.htm",a:"The Weekly Status report provides a status of the backups and backup copies that have run on the appliance over the last 7 days. Select an appliance and click Generate Report to view the report. Report details Refer to the following table for a description of the report columns. To customize your ...",t:"Weekly Status report"},"123":{i:0.00183397059847453,u:"../content/satori/recover_reports.htm",a:"Recover reports The Recovery History report summarizes and organizes historical information about recovery jobs.   For details, see the  Recovery History report .",t:"Recover reports"},"124":{i:0.00292197981406553,u:"../content/satori/recovery_history_report_.htm",a:"The Recovery History report provides information about recovery operations for a selected appliance(s) over a specified date range.    The report does NOT include information about the following:  VMware and Hyper-V instant recovery operations.  VMware and Hyper-V file-level recovery jobs. The ...",t:"Recovery History report"},"125":{i:0.00183397059847453,u:"../content/satori/backup_copy_reports.htm",a:"The  Backup Copy category reports summarize information about your backup copy jobs. Backup copies are duplicates of your backups stored on an off-site target. For an overview of how to use backup copies with your Unitrends appliance, see  Backup copies . For  details, see the following topics: ...",t:"Backup Copy reports"},"126":{i:0.00155795602157967,u:"../content/satori/backup_copy_capacity_report.htm",a:"The Backup Copy  Capacity report summarizes information about the amount of data protected by hot backup copies on the selected Unitrends appliance or Unitrends Cloud backup copy target(s).  Run this report from the source backup appliance by selecting a backup copy target and entering a date range. ...",t:"Backup Copy Capacity report"},"127":{i:0.00245779711352259,u:"../content/satori/backup_copy_hot_targets_report.htm",a:"The Backup Copy - Hot Targets report provides a summary of information about backups  copied to the selected Unitrends Cloud or  Unitrends appliance targets.  Run this report from the source or target backup appliance by selecting a backup copy target and entering a date range. After generating the ...",t:"Backup Copy - Hot Targets report"},"128":{i:0.00155795602157967,u:"../content/satori/backup_copies_past_24_hours_report.htm",a:"Backup Copies - Past 24 Hours report The Backup Copies - Past 24 Hours report summarizes information about backups  copied to the Unitrends Cloud or to Unitrends appliance targets within the last 24 hours. The report shows successful, active, and queued backup copy jobs. ",t:"Backup Copies - Past 24 Hours report"},"129":{i:0.00155795602157967,u:"../content/satori/storage_footprint_report.htm",a:"Storage Footprint report The Storage Footprint report summarizes information about the amount of storage space sources are currently using on a target. When finished, click  \u003c Report Categories in the upper-left of the report to return to the Backup Copy category of the Available Reports page.",t:"Storage Footprint report"},"130":{i:0.00155795602157967,u:"../content/satori/backup_copy_cold_targets_report.htm",a:"The Backup Copy - Cold Targets report summarizes information about each asset\u0027s  backups that have been copied to cold storage within the selected date range for the selected appliance(s). Cold targets include: third-party cloud storage, attached disk storage, NAS and SAN storage, tape devices, ...",t:"Backup Copy - Cold Targets report"},"131":{i:0.00136309547979598,u:"../content/satori/appliance_reports.htm",a:"Appliance reports The Appliance reports summarize and organize information about the performance of your Unitrends appliance. For details, see the following topics: Update History report Capacity report Load report Alerts report Trap History report Notifications report",t:"Appliance reports"},"132":{i:0.00155620076849437,u:"../content/satori/update_history_report.htm",a:"The Update History report lists all software updates installed on the selected appliance within a specified date range. When finished, click \u003c Report Categories in the upper-left of the report to return to the Appliance category of the Available Reports page. Report details Refer to the following ...",t:"Update History report"},"133":{i:0.00155620076849437,u:"../content/satori/capacity_report.htm",a:"The Capacity report provides information on  storage capacity and how storage is currently being used. The top of the report provides summary information about the appliance\u0027s storage. Detail on each protected asset is given below. To view the report, select an Appliance from the list and click ...",t:"Capacity report"},"134":{i:0.00155620076849437,u:"../content/satori/load_report.htm",a:"The Load report provides a graphical view of the load on the appliance over the selected date range. Select the appliance and specify the date range to generate the report. When finished, click \u003c Report Categories in the upper-left of the report to return to the Appliance category of the Available ...",t:"Load report"},"135":{i:0.00155620076849437,u:"../content/satori/alert_report.htm",a:"The Alerts report lists all alerts generated for the selected appliance(s) within the specified date range. When finished, click \u003c Report Categories in the upper-left of the report to return to the Appliance category of the Available Reports page. Report details Refer to the following table for a ...",t:"Alerts report"},"136":{i:0.00155620076849437,u:"../content/satori/trap_history_report.htm",a:"The Trap History report provides a list of all SNMP traps sent from the appliance over the selected date range. These traps are sent to Unitrends to enable proactive monitoring of the health of the appliance (if the necessary ports are open). You can also configure the appliance to send traps to ...",t:"Trap History report"},"137":{i:0.00155620076849437,u:"../content/satori/notifications_report.htm",a:"The Notifications report provides a list of all system notifications sent from the appliance over the selected date range. If your appliance is configured to email system notifications, these messages are also sent to the specified report recipients. (To check this, select Configure \u003e Appliances \u003e ...",t:"Notifications report"},"138":{i:0.00136309547979598,u:"../content/satori/storage_reports.htm",a:"Storage reports The Storage reports provide  information about your system\u0027s configured storage. The Storage category features two available reports, Storage and Data Reduction. For details, see the following topics: Storage report  Data Reduction report",t:"Storage reports"},"139":{i:0.00194241134589116,u:"../content/satori/storage_report_.htm",a:" The Storage report provides information about all configured backup storage, and displays a graphical and tabular view of this information. A pie chart displays a snapshot of the current information, and a bar graph displays information over the last thirty days. When finished, click  \u003c Report ...",t:"Storage report "},"140":{i:0.00194241134589116,u:"../content/satori/data_reduction_report.htm",a:"The Data Reduction report provides information (in graph form) about the amount of space saved by deduplication and compression for a selected appliance over a specified date range.   When finished, click \u003c Report Categories in the upper-left of the report to return to the Storage category of the ...",t:"Data Reduction report"},"141":{i:0.0459103588164093,u:"../content/satori/working_with_reports.htm",a:"Use the following procedures to generate, export, and distribute reports: To customize a report When generating  a report, you can customize the output as follows: Click the accordion icon to the right of the column header to add or remove columns: Click Reset column defaults to restore the default ...",t:"Working with reports"},});